QGIS Application - Bug report #49
Can't print vector layers
2006-04-04 04:35 AM - doktoreas -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10108
Description

How Reproduce:

1)Add any vector map at the canvas (in my situation was projected with Monte Mario / ltaly zone
2)Reproject with the On the fly projection tools ( my selection was WGS84 )

3)Open the print dialogue and add the map

4)Frame is created but no map inside, also if select Set to Extent

Note that the same map, without reprojection, is printed as normal

History

#1 - 2006-04-04 09:33 AM - Redmine Admin
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in 0.8

#2 - 2006-08-23 02:03 PM - anonymous -
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

I don't think this is completly fixed.

When | try to print, only raster layers are printed. The legend shows the different vector layers, but they are not visible in the preview or when printed (or
when exported to SVG or PNG).

The vector layers are being reprojected from lat-long WGS84 to tmerc NAD83. When OTF projection is turned off, the layers print (but they don't line up the
the raster data).

This happens with v0.7.4, on both Ubuntu Linux and Windows.

#3 - 2006-08-23 02:24 PM - anonymous -

Is this problem occuring under release 0.8, as that is where the fix was done

#4 - 2006-08-24 06:46 AM - Redmine Admin
- Resolution set to fixed
- Status changed from Feedback to Closed
Yes, the problem is fixed in 0.8. Sorry for the false alarm.

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
